No 'safely remove' option is present in the unity menu when a usb disk is inserted

Reported by James Clemence on 2010-10-13
50
This bug affects 10 people
Affects Status Importance Assigned to Milestone
Unity
Medium
Marco Biscaro
unity-2d
Medium
Felix H. Dahlke
unity-2d (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: unity

When you put a USB stick into the netbook, it appears on the unity dock, but when you right click it you do not have the option to safely remove from the computer on that screen, which seems illogical, as it is a really good place to have it.

J

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: unity 0.2.46-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic i686
Architecture: i386
Date: Wed Oct 13 16:41:15 2010
InstallationMedia: Ubuntu-Netbook 10.10 "Maverick Meerkat" - Release i386 (20101007)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_GB.utf8
 SHELL=/bin/bash
SourcePackage: unity

James Clemence (jvc26) wrote :

there is an option 'eject' that does the same.

On Wed, Oct 13, 2010 at 8:43 PM, James Clemence
<email address hidden>wrote:

>
> ** Attachment added: "Dependencies.txt"
>
> https://bugs.launchpad.net/bugs/660010/+attachment/1691187/+files/Dependencies.txt
>
> --
> No 'safely remove' option is present in the unity menu when a usb disk is
> inserted
> https://bugs.launchpad.net/bugs/660010
> You received this bug notification because you are subscribed to unity
> in ubuntu.
>
> Status in “unity” package in Ubuntu: New
>
> Bug description:
> Binary package hint: unity
>
> When you put a USB stick into the netbook, it appears on the unity dock,
> but when you right click it you do not have the option to safely remove from
> the computer on that screen, which seems illogical, as it is a really good
> place to have it.
>
> J
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: unity 0.2.46-0ubuntu5
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic i686
> Architecture: i386
> Date: Wed Oct 13 16:41:15 2010
> InstallationMedia: Ubuntu-Netbook 10.10 "Maverick Meerkat" - Release i386
> (20101007)
> ProcEnviron:
> PATH=(custom, no user)
> LANG=en_GB.utf8
> SHELL=/bin/bash
> SourcePackage: unity
>
>
>

Mark Shuttleworth (sabdfl) wrote :

I think there is a subtle difference between Eject and Safely Remove,
that's material for disks with multiple partitions. Personally, I think
we should consolidate all of it to one menu entry, but the GNOME
Nautilus view does have both.

I'll ask MPT to comment directly.

Mark

Sebastien Bacher (seb128) wrote :

you can see https://bugzilla.gnome.org/show_bug.cgi?id=597864 on why both are there

Interesting.

Would it not be true that an internal-only device would be visible at
boot, while a device that becomes visible during the session must by
definition be removable and re-pluggable?

Could we use that?

Mark

Sebastien Bacher (seb128) wrote :

Not sure, I'm Cc-ing pitti who did work on that previous cycle already and knows what we can do there or not

Martin Pitt (pitti) wrote :

It's not really about "system internal". The difference is that "ejection" is for media, while "removal" is for drives. I. e. you usually eject a CD from a drive, and you usually remove an USB stick. It becomes more interesting with devices which are both hotpluggable and removable, such as USB card readers or USB CD-ROMs.

On a technical level the difference manifests like this: Suppose you have a drive (/dev/sdb) with a medium with one partition in it (/dev/sdb1). After eject, /dev/sdb1 will go away, and you can use /dev/sdb to query the drive status. Also, the drive remains powered. After "safe removal", both medium and drive will go away (no /dev/sdb* any more), and the drive will also be powered off properly (which also helps saving energy).

In general, using "Eject" on USB sticks and other hotpluggable drives will usually work fine, and never cause a problem with data integrity. The main reason why we still have it separately is for things like iPods, which really want to be removed (not just media ejected), otherwise they make a big fuss about "Wah! Wah! Don't unplug me yet!". Conversely, we can't just have "save removal" only, since that would stop the drive from being able to be ever used again until the next boot.

Martin Pitt (pitti) wrote :

.. so yes, from my perspective we should add "Savely remove drive" to the menu, like in nautilus. GIO provides those as g_drive_can_stop()/g_drive_stop() and g_volume_can_eject()/g_volume_eject().

Didier Roche (didrocks) on 2010-10-14
Changed in unity (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in unity:
status: New → Triaged
importance: Undecided → Medium
Oleg O Andreev (olegoandreev) wrote :

Martin, jut my 2c: I had different experience with iPods. They stopped flashing the message about being "not safe to remove" after executing eject (either from CLI or from Nautilus). If "Safely remove hardware" was selected either power was cut device altogether or nothing happened (looks like it depended on gvfs, udisks and/or kernel versions).

Oleg O Andreev (olegoandreev) wrote :

I must add: the corresponding /dev node definitely disappeared in the latter case (when "Safely remove hardware" was selected), it's just that power to the corresponding USB port was not always cut.

James Pursey (jamespursey) wrote :

I was about to report a bug on this but will add my two penny's worth here. I really, really like Unity. I think it's a great development, but this issue makes using it difficult. One of the things I would really miss from Gnome is the way that removable media like USB sticks and the like are displayed as an icon on the desktop - and can be ejected safely by right-clicking that icon. It's so easy and intuitive that I think it would be a shame to ditch it. Could it be possible to reintegrate this behaviour in Unity?

Mark Shuttleworth (sabdfl) wrote :

James, yes we can do this if the team can dream up an effective way to
do it only for devices which are inserted during the users' session. By
definition, those devices are not going to be hardwired on the motherboard.

Mark

Neil J. Patel (njpatel) wrote :

I'll take a deeper look into this and try and include it into the first cut of the removable media support in the launcher.

Changed in unity:
assignee: nobody → Neil J. Patel (njpatel)
milestone: none → 3.2.12
Neil J. Patel (njpatel) on 2011-01-18
Changed in unity:
milestone: 3.2.12 → 3.6
Changed in unity-2d:
importance: Undecided → Medium
milestone: none → 3.6
status: New → Triaged
Changed in unity-2d:
milestone: 3.6 → 3.8
Neil J. Patel (njpatel) on 2011-02-07
Changed in unity:
milestone: 3.6 → 3.4.4
Ingo Gerth (igerth) wrote :

Is this a candidate for a bitesize bug?

David Barth (dbarth) wrote :

Ingo: I don't think Neil has had the time to look into that, so feel free to investigate and propose a patch.

Neil J. Patel (njpatel) on 2011-02-15
tags: added: bitesize
Changed in unity:
assignee: Neil J. Patel (njpatel) → nobody
Neil J. Patel (njpatel) on 2011-02-18
Changed in unity:
milestone: 3.4.4 → 3.4.6
Didier Roche (didrocks) on 2011-02-24
Changed in unity:
milestone: 3.4.6 → 3.6
Didier Roche (didrocks) on 2011-03-01
Changed in unity:
milestone: 3.6 → 3.6.2
Changed in unity-2d:
milestone: 3.8 → none
Changed in unity:
assignee: nobody → Marco Biscaro (marcobiscaro2112)
Changed in unity:
status: Triaged → In Progress
Neil J. Patel (njpatel) on 2011-03-07
Changed in unity:
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2011-03-07
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.6.2-0ubuntu1

---------------
unity (3.6.2-0ubuntu1) natty; urgency=low

  * New upstream release:
    - unity-window-decorator crashed with SIGSEGV in
      g_cclosure_marshal_VOID__OBJECT() (LP: #724874)
    - blinking screen at searching "gn" (LP: #674022)
    - Top panel isn't multimonitor aware (LP: #675862)
    - Leaving fullscreen causes the launcher to rapidly appear and then
      disappear (LP: #718054)
    - migrate_favorites.py crashed with GError in __main__: Bad key or
      directory name: "/desktop/unity/launcher/favorites/app-Watch TV
      Shows.desktop/type": ` ' is an invalid character in key/directory names
      (LP: #722403)
    - does not display icons until hovered (LP: #726033)
    - Unintuative Application Matching (LP: #726711)
    - icons missing in the dash recent files and directory search returns
      (LP: #727824)
    - some result cache broke the dash search (LP: #728961)
    - Protect against conflicts with unity super keys (LP: #729166)
    - not installed apps sorting in global search (LP: #636996)
    - No 'safely remove' option is present in the unity menu when a usb disk
      is inserted (LP: #660010)
    - Dash - Implement new Dash design! (LP: #683762)
    - Expose or add missing nux functions for a11y support (LP: #701672)
    - Launcher - A single finger 'hold' on a Launcher app icon should open the
      quicklist (LP: #702486)
    - No "Search" default entry (LP: #710794)
    - Icon in Launcher should be home folder icon (LP: #721121)
    - Launcher bindings require Super to be held down to work (LP: #727580)
    - compiz crashed with SIGSEGV in nux::CairoGraphics::GetBitmap()
      (LP: #727636)
    - Unity "Lens" do not scroll to bottom (LP: #719616)
    - Double-click on panel to unmaximize only works in right half
      (LP: #725529)
    - clicking multiple time on the bfb makes the logo darker and darker
      (LP: #727146)
    - the launcher should go away if it has been open using the keyboard and
      the mouse is not moved while the cursor is on it (LP: #727746)
    - migrate_favorites.py crashed with OSError in makedirs(): [Errno 13]
      Permission denied: '/home/aquarius/.local/share/unity' (LP: #723656)
    - No feedback when unmounting busy device in Unity (LP: #730638)
 -- Didier Roche <email address hidden> Mon, 07 Mar 2011 19:10:27 +0100

Changed in unity (Ubuntu):
status: Triaged → Fix Released
tags: added: delta-with-3d
Robert Sajdok (ris) on 2011-03-13
Changed in unity-2d:
assignee: nobody → Robert Sajdok (ris)
Robert Sajdok (ris) on 2011-03-17
Changed in unity-2d:
assignee: Robert Sajdok (ris) → nobody
Didier Roche (didrocks) on 2011-05-31
Changed in unity-2d (Ubuntu):
status: New → Triaged

It's a headache to eject each partition when a portable hard disk is attached to the system. I'm surprised to see that this bug hasn't been fixed yet. :/

Felix H. Dahlke (fhd) on 2011-08-02
Changed in unity-2d:
assignee: nobody → Felix H. Dahlke (fhd)
status: Triaged → In Progress
Changed in unity-2d (Ubuntu):
status: Triaged → In Progress
Changed in unity-2d:
milestone: none → 3.8.16
Changed in unity-2d:
status: In Progress → Fix Committed
Changed in unity-2d (Ubuntu):
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2011-08-11
Changed in unity-2d:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 4.0.0-0ubuntu1

---------------
unity-2d (4.0.0-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - [launcher] Impossible to keep KDE Apps in Launcher (LP: #741129)
    - [dash] Background should be blurred (LP: #823326)
    - No 'safely remove' option is present in the unity menu when a usb disk
      is inserted (LP: #660010)
    - Quicklist item "Keep In Launcher" should be "Keep in launcher" as design
      (LP: #795422)
    - [launcher] ESC doesn't dismiss launcher when activated with Alt+F1
      (LP: #812792)
    - [dash] Background wallpaper shifted when using a non compositing window
      manager (LP: #823295)
    - [launcher] Bottom gradient appears too early (LP: #823877)
    - mute/unmute sound when user clicks on sound applet using scroll button
      or middle mouse button (LP: #609860)
    - Secondary activate (i.e. middle click) support for indicators advanced
      usage (LP: #812933)
    - Unused GConfItemQmlWrapper dep found (LP: #821880)
  * debian/control:
    - bump libunity-core-4.0-dev, libnux-1.0-dev
    - recommends lenses and not places anymore. Adding music lens
 -- Didier Roche <email address hidden> Thu, 11 Aug 2011 21:22:18 +0200

Changed in unity-2d (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity-2d:
status: Fix Released → Fix Committed
Gerry Boland (gerboland) on 2011-11-14
Changed in unity-2d:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.